Index: trunk/abdev/BasicCompiler32/BasicCompiler.vcproj
===================================================================
--- trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 167)
+++ trunk/abdev/BasicCompiler32/BasicCompiler.vcproj	(revision 183)
@@ -75,5 +75,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="comctl32.lib psapi.lib commond.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib commond.lib smoothied.lib"
 				OutputFile="../ActiveBasic/BasicCompiler32.exe"
 				LinkIncremental="2"
@@ -177,5 +177,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="comctl32.lib psapi.lib common.lib"
+				AdditionalDependencies="comctl32.lib psapi.lib common.lib smoothie.lib"
 				OutputFile="../ActiveBasic/BasicCompiler32.exe"
 				LinkIncremental="1"
@@ -581,28 +581,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\DataTable.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\LoopRefCheck.cpp"
-						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\NonVolatile.cpp"
 						>
@@ -751,28 +727,4 @@
 					>
 					<File
-						RelativePath="..\BasicCompiler_Common\Class.cpp"
-						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Class.h"
-						>
-					</File>
-					<File
 						RelativePath="..\BasicCompiler_Common\Enum.cpp"
 						>
@@ -824,32 +776,4 @@
 					<File
 						RelativePath="..\BasicCompiler_Common\PESchedule.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="LexicalScoping"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\LexicalScoping.cpp"
-						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\LexicalScoping.h"
 						>
 					</File>
@@ -1325,90 +1249,42 @@
 			</Filter>
 			<Filter
-				Name="Common Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\src\Smoothie.cpp"
-					>
-				</File>
-				<Filter
-					Name="Meta Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Member.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Method.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Namespace.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Procedure.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Prototype.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Symbol.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Type.cpp"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\TypeDef.cpp"
-						>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Variable.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Lexical Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Source.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Operation Statements"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Exception.cpp"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Application Classes"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\src\Program.cpp"
-						>
-					</File>
-				</Filter>
+				Name="Application Classes"
+				>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\ClassImpl.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\CodeGenerator.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Compiler.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\DataTable.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Exception.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\LexicalScopingImpl.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\ProcedureImpl.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\Program.cpp"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\src\SmoothieImpl.cpp"
+					>
+				</File>
 			</Filter>
 		</Filter>
@@ -1437,4 +1313,8 @@
 				>
 			</File>
+			<File
+				RelativePath="..\BasicCompiler_Common\include\option.h"
+				>
+			</File>
 			<Filter
 				Name="言語対応文字列"
@@ -1461,91 +1341,35 @@
 				>
 				<File
+					RelativePath="..\BasicCompiler_Common\include\ClassImpl.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\CodeGenerator.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Compiler.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\DataTable.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\Exception.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\LexicalScopingImpl.h"
+					>
+				</File>
+				<File
+					RelativePath="..\BasicCompiler_Common\include\ProcedureImpl.h"
+					>
+				</File>
+				<File
 					RelativePath="..\BasicCompiler_Common\include\Program.h"
 					>
 				</File>
-			</Filter>
-			<Filter
-				Name="Common Classes"
-				>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\option.h"
-					>
-				</File>
-				<File
-					RelativePath="..\BasicCompiler_Common\include\Smoothie.h"
-					>
-				</File>
-				<Filter
-					Name="Meta Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Namespace.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Parameter.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Procedure.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Symbol.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Type.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\TypeDef.h"
-						>
-					</File>
-					<File
-						RelativePath="..\BasicCompiler_Common\Variable.h"
-						>
-					</File>
-					<Filter
-						Name="Prototype"
-						>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Member.h"
-							>
-						</File>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Method.h"
-							>
-						</File>
-						<File
-							RelativePath="..\BasicCompiler_Common\include\Prototype.h"
-							>
-						</File>
-					</Filter>
-				</Filter>
-				<Filter
-					Name="Lexical Parts"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Source.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Operation Statements"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\Exception.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="Module"
-					>
-					<File
-						RelativePath="..\BasicCompiler_Common\include\ObjectModule.h"
-						>
-					</File>
-				</Filter>
 			</Filter>
 		</Filter>
